/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-02
 * 描述            ：岗位交接班排刀记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Shift.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Shift.mapper.MesShiftDBldSetMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_SHIFT_D_BLD_SET", namespace=MesShiftDBldSetMapper.class)
public class MesShiftDBldSet extends BaseVO implements Serializable {
	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业日期
	 */ 
	@Id
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（1晚、2白、3中）
	 */ 
	@Id
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 显示顺序
	 */ 
	@Id
	private Long display_order;
	public Long getDisplay_order() {
		return this.display_order;
	}
	public void setDisplay_order(Long display_order) {
		this.display_order = display_order;
	}

	/** 
	 * 排刀开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date set_str_time;
	public Date getSet_str_time() {
		return this.set_str_time;
	}
	public void setSet_str_time(Date set_str_time) {
		this.set_str_time = set_str_time;
	}

	/** 
	 * 排刀结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date set_end_time;
	public Date getSet_end_time() {
		return this.set_end_time;
	}
	public void setSet_end_time(Date set_end_time) {
		this.set_end_time = set_end_time;
	}

	/** 
	 * 排刀操作人一
	 */ 
	@Column
	private String set_opr1;
	public String getSet_opr1() {
		return this.set_opr1;
	}
	public void setSet_opr1(String set_opr1) {
		this.set_opr1 = set_opr1;
	}

	/** 
	 * 排刀操作人二
	 */ 
	@Column
	private String set_opr2;
	public String getSet_opr2() {
		return this.set_opr2;
	}
	public void setSet_opr2(String set_opr2) {
		this.set_opr2 = set_opr2;
	}

	/** 
	 * 排刀操作人三
	 */ 
	@Column
	private String set_opr3;
	public String getSet_opr3() {
		return this.set_opr3;
	}
	public void setSet_opr3(String set_opr3) {
		this.set_opr3 = set_opr3;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
